STRNLEN(3)

NAME
strnlen - determine the length of a fixed-size string

SYNOPSIS
#define _GNU_SOURCE

#include <string.h>

size_t strnlen(const char *s, size_t maxlen);

DESCRIPTION
The strnlen() function returns the number of characters in the string pointed to by s, not including the terminating '\0' character, but at most maxlen. In doing this, strnlen() looks only at the first maxlen characters at s and never beyond s+maxlen.

RETURN VALUE
The strnlen() function returns strlen(s), if that is less than maxlen, or maxlen if there is no '\0' character among the first maxlen characters pointed to by s.

CONFORMING TO
This function is a GNU extension.

SEE ALSO
strlen(3), feature_test_macros(7)